package com.ruoyi.system.domain_shate;

 
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class SoilDesertification extends  SysSTEntity
{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
   private Integer id;

    private  String year;
   
    private String zone;


    private Double Level1;

    private Double Level2;

    private Double Level3;

    private Double Level4;

    private Double Level5;

    private String imageDate;


  
    private String productCode1;

    
    private String productCode2;

   
    private String productCode3;

 
    private String createdBy;

    private LocalDateTime createdTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getLevel1() {
        return Level1;
    }

    public void setLevel1(Double level1) {
        Level1 = level1;
    }

    public Double getLevel2() {
        return Level2;
    }

    public void setLevel2(Double level2) {
        Level2 = level2;
    }

    public Double getLevel3() {
        return Level3;
    }

    public void setLevel3(Double level3) {
        Level3 = level3;
    }

    public Double getLevel4() {
        return Level4;
    }

    public void setLevel4(Double level4) {
        Level4 = level4;
    }

    public Double getLevel5() {
        return Level5;
    }

    public void setLevel5(Double level5) {
        Level5 = level5;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public String toString() {
        return "SoilDesertification{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", Level1=" + Level1 +
                ", Level2=" + Level2 +
                ", Level3=" + Level3 +
                ", Level4=" + Level4 +
                ", Level5=" + Level5 +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", productCode3='" + productCode3 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                '}';
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }
}
